Ice Reference Documentation
<<< Previous | Properties | Next >>>

# IcePatch2 Properties

## IcePatch2.Admin.Endpoints

### Synopsis

    IcePatch2.Admin.Endpoints=endpoints

### Description

If this property is set, the IcePatch2 server creates an additional object of type `IcePatch2::Admin`. The `shutdown` operation on this interface can be used to remotely shut down the server. The endpoints specified by this property should be secured against access from potentially hostile clients.

## IcePatch2.AdminIdentity

### Synopsis

    IcePatch2.AdminIdentity=identity

### Description

This property determines the identity of the `IcePatch2::Admin` singleton object offered by the IcePatch2 server. The default value is `IcePatch2/admin`.

| This property is deprecated and supported only for backward-compatibility. New applications should use IcePatch2.InstanceName.

## IcePatch2.ChunkSize

### Synopsis

    IcePatch2.ChunkSize=kilobytes

### Description

The IcePatch2 client uses this property to determine how many kilobytes are retrieved with each call to `getFileCompressed`.

The default value is `100`.

## IcePatch2.Directory

### Synopsis

    IcePatch2.Directory=dir

### Description

The IcePatch2 server uses this property to determine the data directory if no data directory is specified on the command line.

This property is also read by the `IcePatch2::Patcher` utility class to determine the data directory. The property must be set before the class is instantiated.

## IcePatch2.Endpoints

### Synopsis

    IcePatch2.Endpoints=endpoints

### Description

Specifies the endpoints of the IcePatch2 server. This property is required by both the IcePatch2 server and client.

## IcePatch2.Identity

### Synopsis

    IcePatch2.Identity=identity

### Description

This property determines the identity of the `IcePatch2::FileServer` singleton object offered by the IcePatch2 server. The default value is `IcePatch2/server`.

| This property is deprecated and supported only for backward-compatibility. New applications should use IcePatch2.InstanceName.

## IcePatch2.InstanceName

### Synopsis

    IcePatch2.InstanceName=name

### Description

Specifies a default identity category for the IcePatch2 objects. If defined, the identity of the IcePatch2 admin interface becomes `name``/admin` and the identity of the IcePatch2 file server interface becomes `name``/server`. The deprecated properties `IcePatch2.AdminIdentity` and `IcePatch2.Identity` take precedence.

If not otherwise defined, the default identities of the IcePatch2 objects are `IcePatch2/admin` and `IcePatch2/server`.

## IcePatch2.Remove

### Synopsis

    IcePatch2.Remove=num

### Description

This property determines whether the IcePatch2 client deletes files that exist locally, but not on the server. A negative or zero value prevents removal of files. A value of `1` enables removal and causes the client to halt with an error if removal of a file fails. A value of `2` or greater also enables removal, but causes the client to silently ignore errors during removal.

This property is also read by the `IcePatch2::Patcher` utility class. The property must be set before the class is instantiated.

The default value is `1`.

## IcePatch2.Thorough

### Synopsis

    IcePatch2.Thorough=num

### Description

This property determines whether `IcePatch2::Patcher` utility class recomputes checksums. Any value greater than zero is interpreted as true. The property must be set before the class is instantiated. The default value is `0` (false).

<<< Previous | Home | Next >>>
Freeze Properties | Up | Proxies and Endpoints